sailpoint.rule

## Class ManagedAttributeDetails

- java.lang.Object
- - sailpoint.rule.ManagedAttributeDetails

    public class ManagedAttributeDetails
    extends java.lang.Object

Model to represent MangedAttribute "view" returned by IdnRuleUtil.

### Constructor Summary

Constructors
Constructor and Description
`ManagedAttributeDetails()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.Object>` `getAttributes()`
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManagedAttributeDetails

    public ManagedAttributeDetails()

### Method Detail

#### getDescription

    public java.lang.String getDescription()

#### getAttributes

    public java.util.Map<java.lang.String,java.lang.Object> getAttributes()

#### getName

    public java.lang.String getName()

#### getValue

    public java.lang.String getValue()

#### getType

    public java.lang.String getType()